/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../../libs.h"
#include "action.h"
#include "../../../display/animation/queue.h"
#include "../pokergame.h"
#include "../../../poker/turn.h"
#include "../../../poker/bet.h"
#include "../../../poker/actions/flop.h"

/** Callback for when the queue restack action stars. */
void _pokerGameActionRestackOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
);

/**
 * Adds a restack action to the queue.
 * 
 * @param game Game to restack.
 * @return The queued action.
 */
queueaction_t * pokerGameActionRestackAdd(pokergame_t *game);